> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workspace team member role



## OpenAPI

````yaml /openapi.json patch /api/v1/workspaces/{workspace}/team/{memberId}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/team/{memberId}:
    patch:
      summary: Update a workspace team member role
      operationId: updateTeamMemberRole
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: memberId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTeamMemberRole'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamMember'
      security:
        - cookieAuth: []
components:
  schemas:
    UpdateTeamMemberRole:
      type: object
      properties:
        role:
          type: string
          enum:
            - owner
            - admin
            - member
            - viewer
      required:
        - role
      additionalProperties: false
    TeamMember:
      type: object
      properties:
        memberId:
          type: string
          minLength: 1
        workspace:
          type: string
        email:
          type: string
          format: email
        displayName:
          type: string
        role:
          type: string
          enum:
            - owner
            - admin
            - member
            - viewer
        status:
          type: string
          enum:
            - active
            - invited
        invitedAt:
          type: string
        joinedAt:
          type: string
          nullable: true
      required:
        - memberId
        - workspace
        - email
        - displayName
        - role
        - status
        - invitedAt
        - joinedAt
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````